Subject: Re: [patch 3/9] natsemi: Add support for using MII port with no PHY

From: Jeff Garzik <[email-masked]>
Date: Thu, 27 Apr 2006 05:54:58 -0400

[email-masked] wrote:
> From: Mark Brown <[email-masked]>
> 
> Provide a module option which configures the natsemi driver to use the
> external MII port on the chip but ignore any PHYs that may be attached to it. 
> The link state will be left as it was when the driver started and can be
> configured via ethtool.  Any PHYs that are present can be accessed via the MII
> ioctl()s.
> 
> This is useful for systems where the device is connected without a PHY or
> where either information or actions outside the scope of the driver are
> required in order to use the PHYs.
> 
> Signed-off-by: Mark Brown <[email-masked]>
> Cc: Tim Hockin <[email-masked]>
> Cc: Jeff Garzik <[email-masked]>
> Signed-off-by: Andrew Morton <[email-masked]>

NAK.

The proper way to do this is via the force_media boolean flag found in 
several net drivers.

In general I agree with the motivation to do something like this...

	Jeff